enso.index = function(iyst,iynd,index.name = 'NINO3.4',lmonthly=FALSE) {
### GET ENSO INDEX BY READING ASCII FILE
### INPUT:
###   IYST: START YEAR
###   IYND: END YEAR
###   INDEX.NAME= NAME OF ENSO INDEX

nyrs        = iynd - iyst + 1
fname       = '/Users/delsole/Data/indices/ersst4.nino.mth.81-10.ascii'
index.table = read.table(fname,header=TRUE)
npic        = index.table[,'YR'] >= iyst & index.table[,'YR'] <= iynd

if ( iyst < min(index.table[,'YR']) | iynd > max(index.table[,'YR'])) stop('years exceed enso.indices limit')
if ( index.table[npic,'MON'][1] != 1) stop('enso.indices assumes first step is January')
if ( index.table[npic,'MON'][sum(npic)] != 12) stop('enso.indices assumes last step is December')
if ( sum(npic) %% 12 != 0 ) stop('enso.indices: data size not a multiple of 12')
if ( !any(names(index.table) == index.name)) stop(paste('index.name must be one of',paste(names(index.table),collapse=' ')))

enso.index  = index.table[npic,index.name] + 273.15

dim(enso.index) = c(12,nyrs)

if (!lmonthly) enso.index = colMeans(enso.index)

list(enso.index = enso.index, year.enso = iyst:iynd)
	
}