spectrum.plot = function(smooth.spectrum.list,tstep='time step') {
## PLOTS THE PERIODOGRAM AND SMOOTHED PERIODOGRAM 
## SPECTRUM.SMOOTH.R MUST BE RUN BEFORE THIS PLOTTING PROGRAM
## INPUT:
##   SMOOTH.SPECTRUM.LIST: LIST OUTPUT FROM SPECTRUM.SMOOTH.R
##   TSTEP: CHARACTER(1) DEFINING THE TIME STEP (E.G., MONTH, YEAR, DAY)
## OUTPUT:
##   PLOT

freq      = smooth.spectrum.list$freq
pgram     = smooth.spectrum.list$pgram
pgram.ave = smooth.spectrum.list$pgram.ave
ci        = smooth.spectrum.list$ci
bw        = smooth.spectrum.list$bw

yrange    = range(pgram.ave,na.rm=TRUE)
yrange    = yrange*c(1/5,5)

xsay        = paste("frequency (cycles per ",tstep,")",sep="")
plot (freq,pgram,type="l",lwd=1,col="grey60",log="y",xlab=xsay,ylab="power",ylim=yrange)
lines(freq,pgram.ave,type="l",lwd=3,col="red",lty="solid")

## plot confidence interval
ymax = max(pgram)*0.6
xpic = 0.4
arrows(xpic,ymax*ci[1],xpic,ymax*ci[2],angle=90,code=3,length=0.01,lwd=2)
    
## plot bandwidth
arrows(xpic+bw[1],ymax,xpic+bw[2],ymax,angle=90,code=3,length=0.01,lwd=2)

}