tele_index = function(iyst,iynd,index.name,months.to.average) {
### GET TELECONNECTIO INDEX BY READING ASCII FILE
### INPUT:
###   IYST: START YEAR
###   IYND: END YEAR
###   INDEX.NAME: NAME OF INDEX
###   MONTHS.TO.AVERAGE: INTEGERS INDCATING CALENDAR MONTHS TO AVERAGE

indices.fname = '/Users/delsole/Data/indices/tele_index.nh'
fwidths      = c(4,4,rep(6,11))
nlines.skip  = 17
undef        = -99.90

line.head    = read.fwf(indices.fname,widths=fwidths,skip=nlines.skip,n=1)
indices.name = array("",dim=length(line.head))
for ( n in 1:length(line.head)) indices.name[n] = gsub(" ","",as.character(line.head[[n]]))

index.nh = read.fwf(indices.fname,widths=fwidths,skip=(nlines.skip+2),col.names=indices.name)
index.nh [ abs(index.nh - undef)/abs(undef) <= 0.001 ] = NA

if ( iyst < min(index.nh[,'yyyy']) | iynd > max(index.nh[,'yyyy'])) stop('years exceed range in tele_index')
if (all(index.name != indices.name)) {
	print('unknown index in tele_index.  Must be one of the following:')
	print(indices.name)
	stop()
}

nyrs      = iynd - iyst + 1
index.val = numeric(nyrs)
for ( n in 1:nyrs) {
	year         = iyst + n - 1
	npic         = rep(FALSE,dim(index.nh)[1])
	for ( m in months.to.average) npic [index.nh[,'yyyy'] == year & index.nh[,'mm'] == m] = TRUE
	index.val[n] = mean(index.nh[npic,index.name])
}

index.val

}